Summary: Basic authentication for the Apache web server using a PostgreSQL database.
Name: mod_auth_pgsql
Version: 0.9.9
Release: 2s.1
Group: System Environment/Daemons
URL: http://www.giuseppetanzilli.it/mod_auth_pgsql/
Source: http://www.giuseppetanzilli.it/mod_auth_pgsql/dist/mod_auth_pgsql-%{version}.tar.gz
Patch0: mod_auth_pgsql-0.9.9-md5.patch
License: BSDish
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: apache-devel, postgresql-devel
Requires: webserver

%description
mod_auth_pgsql can be used to limit access to documents served by a web server
by checking fields in a table in a PostgresQL database.

%prep
%setup -q
%patch0 -p1

%build
%{_sbindir}/apxs -I%{_includedir}/pgsql -c -o %{name}.so *.c -lpq

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -m755 %{name}.so $RPM_BUILD_ROOT%{_libdir}/apache/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README *.html
%{_libdir}/apache/*.so

%changelog
* Wed Mar 18 2003 D. Marlin <dmarlin@redhat.com>
- new s390 release number and rebuild for s390 (bug #85960)

* Wed Oct 10 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.9-2
- Fix MD5 password authentication

* Wed Sep 26 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.9-1
- update to 0.9.9

* Wed Sep 19 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-2
- add patch from Andreas Hasenack to close more string injection problems

* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-1
- update to 0.9.8, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
